## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name port-for
%global name_with_underscore port_for

Name:           python-%{pypi_name}
Version:        0.7.4
Release:        %autorelease
Summary:        Utility that helps with local TCP ports management

License:        MIT
URL:            https://github.com/kmike/port-for/
Source0:        https://github.com/kmike/port-for/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)

%description
It can find an unused TCP local host port and remember the association.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
It can find an unused TCP local host port and remember the association.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -x tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name_with_underscore}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{_bindir}/%{pypi_name}

%changelog
## START: Generated by rpmautospec
* Wed Oct 09 2024 Packit <hello@packit.dev> - 0.7.4-1
- Update to 0.7.4 upstream release
- Resolves: rhbz#2317610

* Mon Sep 02 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.7.3-1
- Update to 0.7.3 - Closes rhbz#2309213

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.7.2-2
- Rebuilt for Python 3.13

* Fri Mar 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.7.2-1
- Update to 0.7.2 - Closes rhbz#2243035

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.7.1-1
- Update to 0.7.1 - Closes rhbz#2222980

* Mon Jul 10 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.7.0-1
- Update to 0.7.0 - Closes rhbz#2215267

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.6.3-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 17 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.3-2
- Add missing BR on pytest - Closes rhbz#2153861

* Sat Dec 17 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.3-1
- Update to 0.6.3 - Closes rhbz#2153861

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.6.2-2
- Rebuilt for Python 3.11

* Mon Feb 14 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.2-1
- Update to 0.6.2 - Closes rhbz#2054171

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 10 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.1-2
- Changes based on #1991096 review

* Fri Aug 06 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.6.1-1
- Version update to 0.6.1

* Mon Feb 25 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4-8
- Subpackage python2-port-for has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-3
- Fix creation of python2- subpackage

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Sundeep Anand <suanand@redhat.com> - 0.4-1
- Update to upstream version 0.4

* Wed Jan 27 2016 Sundeep Anand <suanand@redhat.com> - 0.3.1-2
- Fix binary shebang in python3 package

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.3.1-1
- Initial RPM Package

## END: Generated by rpmautospec
